<?php
// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('NO_NIVEL_CONCEPTOS', 'doctrine');
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of BaseNO_NIVEL_CONCEPTOS
 *
 * @author sofhouse
 */
class BaseNO_NIVEL_CONCEPTOS extends sfDoctrineRecord {
    //put your code here
    
    public function setTableDefinition() {
        
        $this->setTableName('NO_NIVEL_CONCEPTOS');
    
        
         $this->hasColumn('id_nivel_conceptos', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
         
         
          $this->hasColumn('nivel', 'integer', 20, array(
              'notnull' => true,
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 20,
             ));
          
          
           $this->hasColumn('id_concep_nomina', 'integer', 20, array(
               'notnull' => true,
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 20,
             ));
           
           
            $this->hasColumn('id_com_esc', 'integer', 20, array(
               'notnull' => true,
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 20,
             ));

    }
    
    public function setUp() {
        parent::setUp();
    
        $this->hasOne('NO_CONCEP_NOMINA', array(
             'local' => 'id_concep_nomina',
             'foreign' => 'id_concep_nomina'));

        $this->hasOne('RH_PN_JERARQUIA', array(
             'local' => 'nivel',
             'foreign' => 'nivel'));
        
        
    }
    
}
